<?php
/**
 * Display Header.
 * @package Multipurpose Corporate
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'multipurpose-corporate' ) ); ?>">
  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div class="toggle"><a class="toggleMenu" href="#"><?php esc_html_e('Menu','multipurpose-corporate'); ?></a></div>

<div class="header-box">
	<?php  get_template_part( 'template-parts/header/top', 'bar' ); ?>
	<div class="container">
	  	<div class="row">
		  	<div class="col-lg-3 col-md-3">
		  		<?php get_template_part( 'template-parts/header/site', 'branding' ); ?>
		  	</div>
		  	<div class="col-lg-6 col-md-6">
		  		<?php get_template_part( 'template-parts/navigation/site', 'nav' ); ?>
		  	</div>
		  	<div class="col-lg-1 col-md-1">
		  		<div class="search-box">
		          <i class="fas fa-search"></i>
		        </div>
		  	</div>
		  	<div class="col-lg-2 col-md-2">
		  		<?php if ( get_theme_mod('multipurpose_corporate_button_text','') != "" ) {?>
		            <div class="get-quote-btn">
		              <span><a href="<?php echo esc_url(get_theme_mod('multipurpose_corporate_button_link','')); ?>"><?php echo esc_html(get_theme_mod('multipurpose_corporate_button_text','')); ?> </a></span>
		            </div>
		        <?php }?>
		  	</div>
	 	 </div> 
	 	 <div class="serach_outer">
	        <div class="closepop"><i class="far fa-window-close"></i></div>
	        <div class="serach_inner">
	          <?php get_search_form(); ?>
	        </div>
	    </div>
	</div>
</div>